<template>
  <div id="hero" class="hero">
    <div class="hero__container">
      <el-row justify="center" :gutter="40">
        <el-col :sm="24" :md="12" class="hero-content">
          <el-row>
            <h1>Cara baru berkomunikasi melalui aplikasi</h1>
          </el-row>
          <el-row>
            <p>Menyalurkan aspirasi, memperoleh informasi, dan akses layanan publik dalam satu genggaman.</p>
          </el-row>
          <el-row>
            <el-image class="google-play-button" :src="googlePlay" fit="contain" />
          </el-row>
        </el-col>
        <el-col :sm="24" :md="12">
          <el-image class="hero-img" :src="hero" fit="contain" @click="getApp()" />
        </el-col>
      </el-row>
    </div>
  </div>
</template>

<script>
export default {
  name: 'Hero',
  data() {
    return {
      hero: require('@/assets/landing-page/hero-sw.png'),
      googlePlay: require('@/assets/google-play.png')
    }
  },
  methods: {
    getApp() {
      const link = 'https://play.google.com/store/apps/details?id=com.sapawarga.jds'
      window.open(link, '_blank')
    }
  }
}
</script>

<style lang="scss" scoped>

.hero {
  background-color: #fff;
  background-image: url('~@/assets/background.svg');
  &__container {
    padding: 120px;
  }
  .hero-img {
    width: auto;
    height: 410px;
  }
  .google-play-button {
    width: auto;
    height: 50px;
    cursor: pointer;
  }
}

h1 {
  font-size: 49px;
  margin-bottom: 0;
  margin-right: 80px;
}

p {
  line-height: 1.5em;
  font-size: 21px;
  margin-right: 80px;
}

.hero-content {
  height: 410px;
  display: flex;
  flex-direction: column;
  justify-content: center;
}

@media screen and (max-width: 600px) {

  .hero__container {
    padding: 30px 30px;
  }

  .hero-content {
    width: auto;
    height: auto;
  }

  h1 {
    font-size: 24px;
    margin-right: 0;
    text-align: center;
  }

  p {
    font-size: 14px;
    margin-right: 0;
    text-align: center;
  }

  .hero .google-play-button {
    width: auto;
    height: 35px;
    display: flex;
  }
}
</style>
